std::mutex Class Reference
Concurrency » Mutexes

`#include <mutex>`

Inherits __mutex_base.

## Public Types

typedef __native_type * | native_handle_type

## Public Member Functions

| mutex (const mutex &)=delete
void | lock ()
native_handle_type | native_handle () noexcept
mutex & | operator= (const mutex &)=delete
bool | try_lock () noexcept
void | unlock ()

## Detailed Description

The standard mutex type.

A simple, non-recursive, non-timed mutex.

Do not call `lock()` and `unlock()` directly, use a scoped lock type such as `std::unique_lock`, `std::lock_guard`, or (since C++17) `std::scoped_lock`.

Since
  C++11

Definition at line 96 of file std_mutex.h.

## Member Typedef Documentation

## native_handle_type

typedef __native_type* std::mutex::native_handle_type

Definition at line 99 of file std_mutex.h.

## Member Function Documentation

## lock()

void std::mutex::lock | ( |  | ) |

inline

Definition at line 111 of file std_mutex.h.

## native_handle()

native_handle_type std::mutex::native_handle | ( |  | ) |

inline noexcept

Definition at line 135 of file std_mutex.h.

## try_lock()

bool std::mutex::try_lock | ( |  | ) |

inline noexcept

Definition at line 121 of file std_mutex.h.

## unlock()

void std::mutex::unlock | ( |  | ) |

inline

Definition at line 128 of file std_mutex.h.

The documentation for this class was generated from the following file:

- std_mutex.h